/*
*  Rubrica
*  file: preview.h
*  
*  Copyright (C) 2000-2001 Nicola Fragale <nicolafragale@libero.it>
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifndef _RUBRICA_PREVIEW_H
#define _RUBRICA_PREVIEW_H

#include <libxml/parser.h>
//#include <libxml/parserInternals.h>
#include "rubrica_type.h"

gboolean  rubrica_preview_show_file(char *filename, GtkWidget *ctree, RubricaErrorType *err);
void rubrica_preview_parse_node(xmlNodePtr xmlnode, GtkWidget *tree, GtkCTreeNode *radice);
void rubrica_preview_parse_old_node(xmlNodePtr xmlnode, GtkWidget *ctree, GtkCTreeNode *radice);
gchar *rubrica_convert_boolean(gchar *str);

#endif
